######################################################################################
#  Silent install shell script for IBM Optim Data Masking Solution components:
#  for AIX, HP-UX, Linux, and Solaris platforms.
#  DesignerPlus.xml: response file used to install Designer, IDA, BPD, and Online Help
#  ManagerPlus.xml: response file used to install Manager, Proxy, Shared Libraries, Management Server, 
#                   and WAS-CE
#  Shared.xml: response file used to install Shared Libraries
#  Executor.xml: response file used to install Executor
#
#  For more information on using IBM Installation Manager for silent installs, visit:
#  http://publib.boulder.ibm.com/infocenter/install/v1r4/index.jsp
######################################################################################
#  The "imcl.exe" is a new tool for silent install of Installation Manager 1.4.3.  If iM is installed
#  at the default location, then find this executable in /opt/IBM/InstallationManager/eclipse/tools
#  diretory. Add this path in the PATH before you run this script.
# 
######################################################################################
#
# Uncomment the line(s) below for the offerings that you wish to install or uninstall
# REQUIRED:  You must modify the corresponding XML files to specify the following:
#   Component(s) to be installed
#   Repository location
#   Version/Build number
#   Installation directory
######################################################################################

# =================================================================================
# Installing and uninstalling the Optim Designer-Plus (Linux Only)
# =================================================================================

# ./imcl -input installDesignerPlus.xml -acceptLicense -log silentp_install_designer_log.xml
# ./imcl -input uninstallDesignerPlus.xml -log silent_uninstall_designer_log.xml

# =================================================================================
# Installing and uninstalling the Optim Shared Libraries
# =================================================================================

# ./imcl -input installShared.xml -acceptLicense -log silent_install_shared_log.xml
# ./imcl -input uninstallShared.xml -log silent_uninstall_shared_log.xml

# =================================================================================
# Installing and uninstalling the Optim Executor
# =================================================================================

# ./imcl -input installExecutor.xml -acceptLicense -log silent_install_executor_log.xml
# ./imcl -input uninstallExecutor.xml -log silent_uninstall_executor_log.xml

# =================================================================================
# Installing and uninstalling the Optim Manager-Plus
# =================================================================================

# ./imcl -input installConsole.xml -acceptLicense -log silent_install_manager_log.xml
# ./imcl -input uninstallConsole.xml -log silent_uninstall_manager_log.xml
